### experimental::as_single_t

A completion token adapter used to specify that the completion handler arguments should be combined into a single argument.

    template<
        typename CompletionToken>
    class as_single_t

##### Types

Name | Description
--- | ---
as_default_on_t | Type alias to adapt an I/O object to use as_single_t as its default completion token type.
default_constructor_tag | Tag type used to prevent the "default" constructor from being used for conversions.
executor_with_default | Adapts an executor to add the as_single_t completion token as the default.

##### Member Functions

Name | Description
--- | ---
as_default_on [static] | Function helper to adapt an I/O object to use as_single_t as its default completion token type.
as_single_t [constructor] | Default constructor. — Constructor.

##### Data Members

Name | Description
--- | ---
token_ |

The `experimental::as_single_t` class is used to indicate that any arguments to the completion handler should be combined and passed as a single argument. If there is already one argument, that argument is passed as-is. If there is more than argument, the arguments are first moved into a `std::tuple` and that tuple is then passed to the completion handler.

##### Requirements

Header: `asio/experimental/as_single.hpp`

Convenience header: None